Bug 1155321 - VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2019-0005
VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2019-0005
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/246014/
CVSSv3.1:SUSE:CVE-2019-8625:6.1:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-29 16:24 UTC by Alexandros Toptsoglou
Modified: 2022-07-25 10:39 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-10-29 16:24:46 UTC
------------------------------------------------------------------------
WebKitGTK and WPE WebKit Security Advisory                 WSA-2019-0005
------------------------------------------------------------------------

Date reported           : October 29, 2019
Advisory ID             : WSA-2019-0005
WebKitGTK Advisory URL  : https://webkitgtk.org/security/WSA-2019-0005.html
WPE WebKit Advisory URL : https://wpewebkit.org/security/WSA-2019-0005.html
CVE identifiers         : CVE-2019-8625, CVE-2019-8674, CVE-2019-8707,
                          CVE-2019-8719, CVE-2019-8720, CVE-2019-8726,
                          CVE-2019-8733, CVE-2019-8735, CVE-2019-8763,
                          CVE-2019-8768, CVE-2019-8769, CVE-2019-8771.

Several vulnerabilities were discovered in WebKitGTK and WPE WebKit.

CVE-2019-8625
    Versions affected: WebKitGTK before 2.26.0 and WPE WebKit before
    2.26.0.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to
    universal cross site scripting. Description: A logic issue was
    addressed with improved state management.

CVE-2019-8674
    Versions affected: WebKitGTK before 2.24.4 and WPE WebKit before
    2.24.3.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to
    universal cross site scripting. Description: A logic issue was
    addressed with improved state management.

CVE-2019-8707
    Versions affected: WebKitGTK before 2.24.4 and WPE WebKit before
    2.24.3.
    Credit to an anonymous researcher working with Trend Micro's Zero
    Day Initiative, cc working with Trend Micro Zero Day Initiative.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: Multiple memory corruption
    issues were addressed with improved memory handling.

CVE-2019-8719
    Versions affected: WebKitGTK before 2.24.4 and WPE WebKit before
    2.24.3.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to
    universal cross site scripting. Description: A logic issue was
    addressed with improved state management.

CVE-2019-8720
    Versions affected: WebKitGTK before 2.26.0 and WPE WebKit before
    2.26.0.
    Credit to Wen Xu of SSLab at Georgia Tech.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: Multiple memory corruption
    issues were addressed with improved memory handling.

CVE-2019-8726
    Versions affected: WebKitGTK before 2.24.3 and WPE WebKit before
    2.24.3.
    Credit to Jihui Lu of Tencent KeenLab.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: Multiple memory corruption
    issues were addressed with improved memory handling.

CVE-2019-8733
    Versions affected: WebKitGTK before 2.24.4 and WPE WebKit before
    2.24.3.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: Multiple memory corruption
    issues were addressed with improved memory handling.

CVE-2019-8735
    Versions affected: WebKitGTK before 2.24.2 and WPE WebKit before
    2.24.2.
    Credit to G. Geshev working with Trend Micro Zero Day Initiative.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: Multiple memory corruption
    issues were addressed with improved memory handling.

CVE-2019-8763
    Versions affected: WebKitGTK before 2.24.4 and WPE WebKit before
    2.24.3.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: Multiple memory corruption
    issues were addressed with improved memory handling.

CVE-2019-8768
    Versions affected: WebKitGTK before 2.24.0 and WPE WebKit before
    2.24.0.
    Credit to Hugo S. Diaz (coldpointblue).
    Impact: A user may be unable to delete browsing history items.
    Description: "Clear History and Website Data" did not clear the
    history. The issue was addressed with improved data deletion.

CVE-2019-8769
    Versions affected: WebKitGTK before 2.26.0 and WPE WebKit before
    2.26.0.
    Credit to Piérre Reimertz (@reimertz).
    Impact: Visiting a maliciously crafted website may reveal browsing
    history. Description: An issue existed in the drawing of web page
    elements. The issue was addressed with improved logic.

CVE-2019-8771
    Versions affected: WebKitGTK before 2.26.0 and WPE WebKit before
    2.26.0.
    Credit to Eliya Stein of Confiant.
    Impact: Maliciously crafted web content may violate iframe
    sandboxing policy. Description: This issue was addressed with
    improved iframe sandbox enforcement.


We recommend updating to the latest stable versions of WebKitGTK and WPE
WebKit. It is the best way to ensure that you are running safe versions
of WebKit. Please check our websites for information about the latest
stable releases.

Further information about WebKitGTK and WPE WebKit security advisories
can be found at: https://webkitgtk.org/security.html or
https://wpewebkit.org/security/.

The WebKitGTK and WPE WebKit team,
October 29, 2019
Comment 1 Michael Gorse 2019-11-11 15:01:38 UTC
[maint-coord]
Codestreams: SUSE:SLE-15:Update, SUSE:SLE-12-SP2:Update
packages: webkit2gtk3
Comment 2 Marcus Meissner 2019-11-11 15:09:21 UTC
will be processed by security.
Comment 5 Swamp Workflow Management 2019-11-25 17:15:21 UTC
SUSE-SU-2019:3044-1: An update that fixes 42 vulnerabilities is now available.

Category: security (important)
Bug References: 1155321,1156318
CVE References: CVE-2019-8551,CVE-2019-8558,CVE-2019-8559,CVE-2019-8563,CVE-2019-8625,CVE-2019-8674,CVE-2019-8681,CVE-2019-8684,CVE-2019-8686,CVE-2019-8687,CVE-2019-8688,CVE-2019-8689,CVE-2019-8690,CVE-2019-8707,CVE-2019-8710,CVE-2019-8719,CVE-2019-8720,CVE-2019-8726,CVE-2019-8733,CVE-2019-8735,CVE-2019-8743,CVE-2019-8763,CVE-2019-8764,CVE-2019-8765,CVE-2019-8766,CVE-2019-8768,CVE-2019-8769,CVE-2019-8771,CVE-2019-8782,CVE-2019-8783,CVE-2019-8808,CVE-2019-8811,CVE-2019-8812,CVE-2019-8813,CVE-2019-8814,CVE-2019-8815,CVE-2019-8816,CVE-2019-8819,CVE-2019-8820,CVE-2019-8821,CVE-2019-8822,CVE-2019-8823
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    webkit2gtk3-2.26.2-3.34.3
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    webkit2gtk3-2.26.2-3.34.3
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    webkit2gtk3-2.26.2-3.34.3
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    webkit2gtk3-2.26.2-3.34.3
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    webkit2gtk3-2.26.2-3.34.3
SUSE Linux Enterprise Module for Basesystem 15 (src):    webkit2gtk3-2.26.2-3.34.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-11-30 20:14:32 UTC
openSUSE-SU-2019:2587-1: An update that fixes 42 vulnerabilities is now available.

Category: security (important)
Bug References: 1155321,1156318
CVE References: CVE-2019-8551,CVE-2019-8558,CVE-2019-8559,CVE-2019-8563,CVE-2019-8625,CVE-2019-8674,CVE-2019-8681,CVE-2019-8684,CVE-2019-8686,CVE-2019-8687,CVE-2019-8688,CVE-2019-8689,CVE-2019-8690,CVE-2019-8707,CVE-2019-8710,CVE-2019-8719,CVE-2019-8720,CVE-2019-8726,CVE-2019-8733,CVE-2019-8735,CVE-2019-8743,CVE-2019-8763,CVE-2019-8764,CVE-2019-8765,CVE-2019-8766,CVE-2019-8768,CVE-2019-8769,CVE-2019-8771,CVE-2019-8782,CVE-2019-8783,CVE-2019-8808,CVE-2019-8811,CVE-2019-8812,CVE-2019-8813,CVE-2019-8814,CVE-2019-8815,CVE-2019-8816,CVE-2019-8819,CVE-2019-8820,CVE-2019-8821,CVE-2019-8822,CVE-2019-8823
Sources used:
openSUSE Leap 15.0 (src):    webkit2gtk3-2.26.2-lp150.2.28.1
Comment 7 Swamp Workflow Management 2019-11-30 20:18:51 UTC
openSUSE-SU-2019:2591-1: An update that fixes 42 vulnerabilities is now available.

Category: security (important)
Bug References: 1155321,1156318
CVE References: CVE-2019-8551,CVE-2019-8558,CVE-2019-8559,CVE-2019-8563,CVE-2019-8625,CVE-2019-8674,CVE-2019-8681,CVE-2019-8684,CVE-2019-8686,CVE-2019-8687,CVE-2019-8688,CVE-2019-8689,CVE-2019-8690,CVE-2019-8707,CVE-2019-8710,CVE-2019-8719,CVE-2019-8720,CVE-2019-8726,CVE-2019-8733,CVE-2019-8735,CVE-2019-8743,CVE-2019-8763,CVE-2019-8764,CVE-2019-8765,CVE-2019-8766,CVE-2019-8768,CVE-2019-8769,CVE-2019-8771,CVE-2019-8782,CVE-2019-8783,CVE-2019-8808,CVE-2019-8811,CVE-2019-8812,CVE-2019-8813,CVE-2019-8814,CVE-2019-8815,CVE-2019-8816,CVE-2019-8819,CVE-2019-8820,CVE-2019-8821,CVE-2019-8822,CVE-2019-8823
Sources used:
openSUSE Leap 15.1 (src):    webkit2gtk3-2.26.2-lp151.2.9.1
Comment 10 Swamp Workflow Management 2020-04-29 10:17:09 UTC
SUSE-SU-2020:1135-1: An update that fixes 30 vulnerabilities is now available.

Category: security (important)
Bug References: 1155321,1156318,1159329,1161719,1163809,1165528,1169658
CVE References: CVE-2019-8625,CVE-2019-8710,CVE-2019-8720,CVE-2019-8743,CVE-2019-8764,CVE-2019-8766,CVE-2019-8769,CVE-2019-8771,CVE-2019-8782,CVE-2019-8783,CVE-2019-8808,CVE-2019-8811,CVE-2019-8812,CVE-2019-8813,CVE-2019-8814,CVE-2019-8815,CVE-2019-8816,CVE-2019-8819,CVE-2019-8820,CVE-2019-8823,CVE-2019-8835,CVE-2019-8844,CVE-2019-8846,CVE-2020-10018,CVE-2020-11793,CVE-2020-3862,CVE-2020-3864,CVE-2020-3865,CVE-2020-3867,CVE-2020-3868
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE OpenStack Cloud 8 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE OpenStack Cloud 7 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP5 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP4 (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP3-BCL (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Linux Enterprise Server 12-SP2-BCL (src):    webkit2gtk3-2.28.1-2.50.3
SUSE Enterprise Storage 5 (src):    webkit2gtk3-2.28.1-2.50.3
HPE Helion Openstack 8 (src):    webkit2gtk3-2.28.1-2.50.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Alexandros Toptsoglou 2020-06-30 07:43:53 UTC
Done